# Easel3D-WASM

WebAssembly demo application using Easel3D...

## Synopsis

Checkout this repository as well as the _easel3d_ repository to the same
destination directory.

In the root of this repository call `wasm-pack build`.
Then change to www and call `npm install`.

To test the stuff call `npm run start` from www directory and in your browser
open http:://localhost:8080/.

## Description

A demo application using easel3d to draw in an HTML5 canvas element in a web
page.

## Requirements

- A recent version of the Rust programming language as well as tooling.
  Currently I use Rust 1.39.0.
- wasm-pack to build to wasm target
- npm for Javascript code.
- A browser capable of executing WebAssembly.

## Dependencies

### Rust crates.

- easel3d (from parent directory)
- wasm-bindgen =0.2
- wee-alloc =0.4.2 (optional)

Along with the dependencies of the external crates. `wasm-pack build` should
take care of having them available.

### Javascript

Various things npm installs.

## Contributing

Feel free to make pull requests as you like, no guarantee that the will be
added.

## License

Copyright © 2020 Georg Hopp

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

## Author

Georg Hopp <georg@steffers.org>
